// controls {
//	inet 127.0.0.1 allow { 127.0.0.1; } keys { rndckey; };
// };

// key "rndckey" {
//	algorithm "hmac-md5";
//	secret "qYlct1UlUiqkficy/5uDrA==";
//};

options {
      directory "/var/named";
      forwarders { 213.74.4.130; 213.74.4.131; 144.122.199.90; 144.122.199.93; };
      forward only;
	/*
	 * If there is a firewall between you and nameservers you want
	 * to talk to, you might need to uncomment the query-source
	 * directive below.  Previous versions of BIND always asked
	 * questions using port 53, but BIND 8.1 uses an unprivileged
	 * port by default.
	 */
       query-source address * port 53;
};
controls {
	inet 127.0.0.1 allow { localhost; } keys { rndckey; };
};
// 
// a caching only nameserver config
// 
zone "." IN {
	type hint;
	file "named.ca";
};

zone "perencodiy.com" IN {
	type master;
	file "named.perenco";
	allow-update { none; };
};
zone "localhost" IN {
	type master;
	notify no;
	file "localhost.zone";
	allow-update { none; };
};
zone "204.33.195.IN-ADDR.ARPA" IN {
	type master;
	file "named.rev"; 
};

zone "0.0.0.127.in-addr.arpa" IN {
	type master;
	file "named.local";
};

include "/etc/rndc.key";

